Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167892 - F11 (Build main Project) does not work on MacOS
F11 (Build main Project) does not work on MacOS
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Key bindings
6.x
Macintosh Mac OS X
: P3 (vote)
: 8.0
Assigned To: Svata Dedic
issues@editor
:
Depends on: 227692
Blocks: 211167
  Show dependency treegraph
 
Reported: 2009-06-30 14:49 UTC by Troy Giunipero
Modified: 2013-09-03 14:12 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Troy Giunipero 2009-06-30 14:49:46 UTC
Several keyboard shortcuts don't work on Mac OS X. In some cases the OS overrides shortcuts, in others, the translated
key combination doesn't have any effect.

Some of the offenders are:

Ctrl-F7:        Find usages
Cmd-Period:     Next usage/compile error
Cmd-Shift-3:    Select in Favorites
Alt-Up/Down:    Next/Previous marked occurrence
Alt-F9/F9:      Compile Package/ File
Alt-F11/F11:    Build main project
Alt-Shift-F11:  Clean & build main project
Comment 1 Troy Giunipero 2009-06-30 15:17:59 UTC
Shift F10:  Open Contextual Menu also doesn't work, however the following wiki page explains a workaround:

http://wiki.netbeans.org/FaqPopupFromKeyboardOnMac

Maybe a better option would be to assign a different keyboard combination.
Comment 2 Max Sauer 2009-06-30 15:36:56 UTC
There is a special issue for find usages, see #138446. I'll assign some different keybindings for the others for 6.8.
Comment 3 Ondrej Langr 2009-06-30 16:32:29 UTC
Max, please when you assign the shortcuts, send them to me and/or track them here. Thanks.
Comment 4 Miloslav Metelka 2012-05-15 13:40:27 UTC
Jirko, could you please check on the Mac what shortcuts from the list above are still problematic? Thanks.
Comment 5 Jiri Prox 2012-06-07 11:42:30 UTC
Ctrl-F7:  Find usages       
- it works fine

Cmd-Period:  Next usage/compile error
- cmd-period is default shortcut for Preferences dialog!

Cmd-Shift-3: Select in Favorites
- cmd-shift-3 by default takes screen shot

Alt-Up/Down:  Next/Previous marked occurrence
- works fine

Alt-F9/F9:  Compile Package/ File
- F9 works fine
- Alt-F9 is not used any more in 7.2

Alt-F11/F11:  Build main project
F11 and shift-F11 is used to hide all window
cmd-F11 and alt-F11 works fine

Alt-Shift-F11:Clean & build main project
alt-shift-F11 is not used any more



Product Version: NetBeans IDE Dev (Build 201206070001)
Java: 1.7.0_05; Java HotSpot(TM) 64-Bit Server VM 23.1-b03
System: Mac OS X version 10.7.4 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tester/Library/Application Support/NetBeans/dev
Cache directory: /Users/tester/Library/Caches/NetBeans/dev
Comment 6 Svata Dedic 2012-12-05 13:08:25 UTC
I can remap CMD+PERIOD to CTRL+period, which seems free. I lack the support to adjust the other shortcuts for just 1 platform - unlike Editor shortcuts, which can be defined specifically for target platform.

F11 -> Alt + F11
Shift F11 -> Alt + Shift + F11
Comment 7 Svata Dedic 2012-12-05 13:18:08 UTC
Changeset: 5c1fec4162b9
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2012-12-05 14:18
Message:   Next error should be CTRL+period even on MAC
Comment 8 Quality Engineering 2012-12-07 02:40:57 UTC
Integrated into 'main-golden', will be available in build *201212070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5c1fec4162b9
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #167892 - 7 Mac keyboard shortcuts don't work: fixed
Next error should be CTRL+period even on MAC
Comment 9 Svata Dedic 2013-03-20 09:24:28 UTC
For the record: all but F11, Shift-F11 seem to work. More support is needed in keymap model + nb core for platform-specific shortcuts.

I'll remap META-comma (previous error) to CTRL-comma (a hack of sort).
Comment 10 Svata Dedic 2013-03-20 09:41:20 UTC
Changeset: b7324626019e
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2013-03-20 10:41
Message:   #167892: fixed previous error for Mac users
Comment 11 Svata Dedic 2013-03-20 13:42:40 UTC
Possibly a "NetBeans (MacOS X)" keymap could be provided as a convenience and used by default. But that does not solve other keymap's issues with MacOS key conflicts.
Comment 12 Quality Engineering 2013-03-24 01:53:58 UTC
Integrated into 'main-golden', will be available in build *201303232300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b7324626019e
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #167892 - F11 (Build main Project) does not work on MacOS: fixed
#167892: fixed previous error for Mac users
Comment 13 Svata Dedic 2013-09-03 14:12:07 UTC
Fixed in http://hg.netbeans.org/jet-main/rev/d6c5f82587a5


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo